<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Auth;

class AuthController extends Controller
{
  public function signUp()
  {
    return view('registration');
  }


  public function signIn()
  {
    return view('welcome');
  }
  public function createUser(Request $request)
  {

    $this->validate($request, [
      'userName' => 'required|min:5',
      'email' => 'required|email|unique:users',
      'password' => 'required|min:5|confirmed',

    ]);
    $data['name'] = $request->userName;
    $data['email'] = $request->email;
    $data['password'] = Hash::make($request->password);

    User::insert($data);

    return redirect()->back()->with('success', 'Registration done.');
    //dd($request->all());

  }

  // public function showLogin()
  //   {
  //   // Form View
  //   return view('login');
  //   }
  // public function doLogout()
  //   {
  //   Auth::logout(); // logging out user
  //   return Redirect::to('login'); // redirection to login screen
  //   }
  public function login(Request $request)
  {
    $this->validate($request, [
      'email' => 'required|email',
      'password' => 'required|min:5',

    ]);

    if (Auth::attempt([
      'email' => $request->email,
      'password' => $request->password
    ])) {
      // return redirect('dashboard')->with('success', 'login Successfull.');
      return redirect('dashboard');
    } else {
      return redirect()->back()->with('error', 'Invalid credentials');
    }
  }
}
