<?php

namespace App\Http\Controllers;

use App\Models\Department;
use App\Models\Menus;
use App\Models\Permission;
use App\Models\PermissionModule;
use App\Models\Role;
use App\Models\User;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Hash;

class MenuController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
 

        $menus = Menus::get();
        
        
 
       return view('backend/menu/list',['menus'=>$menus]);
 
       
    }

    public function usersApi(Request $request)
    {
 

        $users = User::select("users.*","departments.dep_name as dept_name")
        ->join('departments','departments.id','users.dep_id')
        ->where('users.dep_id',$request->dep_id)
        ->get();
 
       return $users ;
 
       
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {

     $permission_modules = PermissionModule::get();

        return view('backend/menu/create',['permission_modules'=>$permission_modules]);
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
      $this->validate($request, [
        // 'id' => 'required',
         'link' => 'required',
         'title' => 'required',
         'module_id' => 'required',
             
       ]);
          $data['link'] = $request->link;
          $data['title'] = $request->title;
          $data['module_id'] = $request->module_id;
         
      
          Menus::insert($data);
          
      
          return redirect()->back()->with('success', 'Insert done.');
          //dd($request->all());
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        return view('backend/user/show');
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {

                $menus= Menus:: find($id);

        return view('backend/menu/edit',['menus'=>$menus]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $this->validate($request, [
            'userName' => 'required|min:5',
            'email' => 'required|email|unique:users,email, '.$id,
            // 'departmentid' => 'required',
            // 'password' => 'required|min:5|confirmed',
      
          ]);
          //1st
          $user = User::find($id);
          $user->name = $request->userName;
          $user->email = $request->email;
          $user->save();

        //   dd($user);

        //   exit();



          // 2nd
        //   $data['name'] = $request->name;
        //   $data['email'] = $request->email;
        //   User::where('id',$id)->update($data);
      
          return redirect()->back()->with('success', 'Edit done.');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }

    public function permissionModuleType()
    {

        return view('backend/role/permission_module_create');
       
    }

    public function storePermissionModuleType(Request $request) {

      $this->validate($request, [
         // 'id' => 'required',
          'module_name' => 'required',
              
        ]);
     //   $data['id'] = $request->id;
        $data['module_name'] = $request->module_name;
    
        PermissionModule::insert($data);
    
        return redirect()->back()->with('success', 'Permission module input successfully.');
        //dd($request->all());
  }

  public function permissionType()
  {

    $modules = PermissionModule::get();

      return view('backend/role/permission_create',['modules'=>$modules]);
     
  }


  public function storePermissionType(Request $request) {

    $this->validate($request, [
       // 'id' => 'required',
        'title' => 'required',
            
      ]);
   //   $data['id'] = $request->id;
      $data['title'] = $request->title;
      $data['module_id'] = $request->module_id;
  
      Permission::insert($data);
  
      return redirect()->back()->with('success', 'Permission module input successfully.');
      //dd($request->all());
}

   /**
     * Display the specified resource.
     */
    public function showModule()
    {
        return view('backend/Menu/permission_module_create');
    }

}
