<?php

namespace App\Http\Controllers;

use App\Models\Department;
use App\Models\Permission;
use App\Models\PermissionModule;
use App\Models\Role;
use App\Models\RoleHasPermission;
use App\Models\User;
use Illuminate\Http\Request;
use DB;
use Illuminate\Support\Facades\Hash;

class RoleController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
 

        $roles = Role::get();
        
        
 
       return view('backend/role/list',['role'=>$roles]);
 
       
    }

    public function usersApi(Request $request)
    {
 

        $users = User::select("users.*","departments.dep_name as dept_name")
        ->join('departments','departments.id','users.dep_id')
        ->where('users.dep_id',$request->dep_id)
        ->get();
 
       return $users ;
 
       
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {

    

        return view('backend/role/create');
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
      $this->validate($request, [
        // 'id' => 'required',
         'role_name' => 'required',
             
       ]);
          $data['role_name'] = $request->role_name;
         
      
          Role::insert($data);
      
          return redirect()->back()->with('success', 'Insert done.');
          //dd($request->all());
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        return view('backend/user/show');
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {


      $modules = PermissionModule::with('joinmenu')->get();

      $role= Role:: find($id);

      $givenPermissions = RoleHasPermission::where('roleid', $id)->pluck('menuid')->toArray();

        return view('backend/role/edit',['role'=>$role, 'modules'=>$modules, 'givenPermissions' => $givenPermissions]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $this->validate($request, [
            'userName' => 'required|min:5',
            'email' => 'required|email|unique:users,email, '.$id,
            // 'departmentid' => 'required',
            // 'password' => 'required|min:5|confirmed',
      
          ]);
          //1st
          $user = User::find($id);
          $user->name = $request->userName;
          $user->email = $request->email;
          $user->save();

        //   dd($user);

        //   exit();



          // 2nd
        //   $data['name'] = $request->name;
        //   $data['email'] = $request->email;
        //   User::where('id',$id)->update($data);
      
          return redirect()->back()->with('success', 'Edit done.');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }

    public function permissionModuleType()
    {

        return view('backend/role/permission_module_create');
       
    }

    public function storePermissionModuleType(Request $request) {

      $this->validate($request, [
         // 'id' => 'required',
          'module_name' => 'required',
              
        ]);
     //   $data['id'] = $request->id;
        $data['module_name'] = $request->module_name;
    
        PermissionModule::insert($data);
    
        return redirect()->back()->with('success', 'Permission module input successfully.');
        //dd($request->all());
  }

  public function permissionType()
  {

    $modules = PermissionModule::with('joinmenu')->get();
    $role = Role::get();

    // dd($modules);
      return view('backend/role/permission_create',['modules'=>$modules],['role'=>$role]);
     
  }


  public function storePermissionType(Request $request) {

    $this->validate($request, [
       // 'id' => 'required',
        'title' => 'required',
            
      ]);
   //   $data['id'] = $request->id;
      $data['title'] = $request->title;
      $data['module_id'] = $request->module_id;
  
      Permission::insert($data);
  
      return redirect()->back()->with('success', 'Permission module input successfully.');
      //dd($request->all());
}


public function  show_module(Request $request){ 
  $data  = PermissionModule::get();
  
  return $data ;

}


public function storePermissionPair(Request $request) {
 //dd($request->all());
  $this->validate($request, [
     // 'id' => 'required',
      'roleid' => 'required',
          
    ]);
 //   $data['id'] = $request->id;

    $data = [];
    if(count($request->menuid) > 0) {
      foreach($request->menuid as $key=>$value)
      {
        $data[] = [
          'menuid'  => $value,
          'roleid'  => $request->roleid
        ];
      }
    }

    // dd($data);

    $deletePermissions = RoleHasPermission::where('roleid', $request->roleid)->delete();
    
    $assignPermissions = RoleHasPermission::insert($data);
// dd($data);
    return redirect()->back()->with('success', 'Permission module input successfully.');
   
}

}
