<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ForgotPasswordCodeMail extends Mailable
{
    use Queueable, SerializesModels;

    public $user;
    public $verificationCode;
    public $expires_at;

    public function __construct($user, $verificationCode, $expires_at)
    {
        $this->user = $user;
        $this->verificationCode = $verificationCode;
        $this->expires_at = $expires_at;
    }

    public function build()
    {
        return $this->subject('Email Verification Code')
            ->view('emails.forgot-verification-code');
    }
}