@extends('layout.app')
@section('content')

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>Menu Entry</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Menu</a></li>
                            <li class="breadcrumb-item active">Menu Entry</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <!-- left column -->
                    <div class="col-md-6">
                        <!-- general form elements -->
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Menu Entry</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->

                            @if (count($errors) > 0)
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>
                                            {{ $error }} </li>
                                    @endforeach
                                </ul>
                            @endif

                            @if (Session::has('success'))
                                {{ Session::get('success') }}
                            @endif

                            <form id="form" class="form" method="post" action="{{url('menu')}}">
                                @csrf
                                <div class="card-body">



                                    <div class="form-group">
                                        <input type="text" name="link" class="form-control"
                                            id="exampleInputEmail1" placeholder="Link">
                                    </div>

                                    <div class="form-group">
                                        <input type="text" name="title" class="form-control"
                                            id="exampleInputEmail1" placeholder="Menu Name">
                                    </div>

                                    <h4>Menu Module</h4>
                                    </u>
                                    <div class="form-group">
                                        <select name="module_id" class="custom-select form-control-border" id="modId">
                
                                            @foreach ($permission_modules as $permission_modules)
                                                <option value="{{ $permission_modules->id }}">{{ $permission_modules->module_name }}</option>
                                            @endforeach
                
                                        </select>
                                    </div>
                                    
                                <!-- /.card-body -->

                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">Save</button>
                                </div>
                            </form>
                        </div>
                        <!-- /.card -->


                    </div>
                    


                @endsection

                @section('pageJs')
                    <!-- OPTIONAL SCRIPTS -->
                    <script src="{{ url('assets') }}/plugins/chart.js/Chart.min.js"></script>
                @endsection
