@extends('layout.app')
@section('content')
    

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Welcome {{ auth()->user()->name ?? null}} </h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Dashboard</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <div class="content">
      <div class="container-fluid">
        <div class="row">
         
          @if(auth()->user()->role_id == 1 || auth()->user()->role_id==2|| auth()->user()->role_id==3)

          <div class="col-lg-3 col-6">
          
          <div class="small-box bg-info">
          <div class="inner">
          <h3>{{ $deptcount }}</h3>
          <p>Total Department</p>
          </div>
          <div class="icon">
          <i class="ion ion-bag"></i>
          </div>
          <a href="/departments" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
          </div>
        
          <div class="col-lg-3 col-6">
          
          <div class="small-box bg-success">
          <div class="inner">
          <h3>{{$usercount}}</h3>
          <p>Total Employee</p>
          </div>
          <div class="icon">
          <i class="ion ion-stats-bars"></i>
          </div>
          <a href="/users" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
          </div>
          @endif
          <div class="col-lg-3 col-6">
          
          <div class="small-box bg-warning">
          <div class="inner">
          <h3>{{$doccount}}</h3>
          <p>Document Received</p>
          </div>
          <div class="icon">
          <i class="ion ion-person-add"></i>
          </div>
          <a href="/document" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
          </div>
          
          <div class="col-lg-3 col-6">
          
          <div class="small-box bg-danger">
          <div class="inner">
          <h3>{{$deliveryCount}}</h3>
          <p>Delivered Doc</p>
          </div>
          <div class="icon">
          <i class="ion ion-pie-graph"></i>
          </div>
          <a href="/document" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
          </div>
         
          </div>
        <div class="row">
          <div class="col-lg-3 col-6">
          
          <div class="small-box bg-warning">
          <div class="inner">
          <h3>{{$pendingCount}}</h3>
          <p>Pending Doc</p>
          </div>
          <div class="icon">
          <i class="ion ion-bag"></i>
          </div>
          <a href="/document" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
          </div>
          
          <div class="col-lg-3 col-6">
          
          <div class="small-box badge-danger">
          <div class="inner">
          <h3>{{$receivedCount}}</h3>
          <p>Received in Desk </p>
          </div>
          <div class="icon">
          <i class="ion ion-stats-bars"></i>
          </div>
          <a href="/document" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
          </div>
          
          <div class="col-lg-3 col-6">
          
          <div class="small-box bg-success">
          <div class="inner">
          <h3>{{$rnotFCount}}</h3>
          <p>Recepent Not found</p>
          </div>
          <div class="icon">
          <i class="ion ion-person-add"></i>
          </div>
          <a href="/document" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
          </div>
          
          <div class="col-lg-3 col-6">
          
          <div class="small-box bg-info">
          <div class="inner">
          <h3>{{$haltCount}}</h3>
          <p>Total Halt Doc</p>
          </div>
          <div class="icon">
          <i class="ion ion-pie-graph"></i>
          </div>
          <a href="/document" class="small-box-footer">More info <i class="fas fa-arrow-circle-right"></i></a>
          </div>
          </div>


          
          </div>
        {{-- <div class="row">
          <div class="col-lg-6">
            @if(auth()->user()->role_id == 1 || auth()->user()->role_id==2|| auth()->user()->role_id==3)
            <div class="card">
              
              <div class="card-body">
               
                <div class="d-flex flex-row justify-content-center">
                 
                  <h1  class="m-0">Total Department : {{ $deptcount }}</h1>

                </div>
              </div>
            </div>
            @endif
            <!-- /.card -->

            <div class="card">
              <div class="card-header border-0 justify-content-center">
                <h1  class="m-2">Total Document Received : {{ $doccount }}</h1>
              
              </div>
              
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col-md-6 -->
          <div class="col-lg-6">
            
            @if(auth()->user()->role_id == 1 || auth()->user()->role_id==2|| auth()->user()->role_id==3)
            <div class="card">
              <div class="card-header border-0 justify-content-center">
              <h1  class="m-2 ">Total Employee : {{ $usercount }}</h1>
            </div>
            </div>
          @endif
            <div class="card">
              <div class="card-header border-0 justify-content-center">
              <h1  class="m-2">Total Delivered Doc : {{ $deliveryCount }}</h1>
            </div>
            </div>
            </div>
            <!-- /.card -->
          <div class="col-lg-6">
            <div class="card">
              <div class="card-header border-0 justify-content-center">

              <h1  class="m-0">Total Pending Doc : {{ $pendingCount }}</h1>
            </div>
            </div>

            <div class="card">
              <div class="card-header border-0 justify-content-center">

              <h1  class="m-0">Total Recepent Not found : {{ $rnotFCount }}</h1>
            </div>
            </div>
            </div>
            <!-- /.card -->
          <div class="col-lg-6">
            <div class="card">
              <div class="card-header border-0 justify-content-center">

              <h1  class="m-0">Total Received : {{ $receivedCount }}</h1>
            </div>
            </div>

            <div class="card">
              <div class="card-header border-0 justify-content-center">

              <h1  class="m-0">Total Halt Doc : {{ $haltCount }}</h1>
            </div>
            </div>
            </div>
            <!-- /.card -->

            
          </div> --}}
          <!-- /.col-md-6 -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </div>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  @endsection  

  @section('pageJs')
      <!-- OPTIONAL SCRIPTS -->
<script src="{{url('assets')}}/plugins/chart.js/Chart.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{url('assets')}}/dist/js/demo.js"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{url('assets')}}/dist/js/pages/dashboard3.js"></script>
  @endsection