@extends('layout.app')
@section('content')

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1>Received Form</h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item active">Document Received Form</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <!-- left column -->
                    <div class="col-md-6">
                        <!-- general form elements -->
                        <div class="card card-primary">
                            <div class="card-header">
                                <h3 class="card-title">Document Received Form</h3>
                            </div>
                            <!-- /.card-header -->
                            <!-- form start -->

                            @if (count($errors) > 0)
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>
                                            {{ $error }} </li>
                                    @endforeach
                                </ul>
                            @endif

                            @if (Session::has('success'))
                                {{ Session::get('success') }}
                            @endif

                            <form id="form" class="form" method="post" action="{{url('document')}}">
                                @csrf
                                <div class="card-body">


                                    <div class="form-group">
                                        <label for="username">Tracking No :</label>
                                  <input  type="text" name="tracking_id" value="{{ $randomgen}}"  class="form-control" id="exampleInputEmail1"
                                            placeholder="Tracking Number" readonly>
                                    </div>

                                    <div class="form-group">
                                        <label for="email">Received From :</label>
                                        <input type="text" name="received_from" class="form-control"
                                            id="exampleInputEmail1" placeholder="Enter Name">
                                    </div>

                                    <u>
                                        <h4>Document Type:</h4>
                                    </u>
                                    <div class="form-group">
                                        <select name="doctypeid" class="custom-select form-control-border">

                                            @foreach ($documents as $documents)
                                                <option value="{{ $documents->id }}">{{ $documents->doc_type }}</option>
                                            @endforeach

                                        </select>
                                    </div>

                                    <u>
                                        <h4>Department</h4>
                                    </u>
                                    <div class="form-group">
                                        <select name="department_id" class="custom-select form-control-border" id="depId">

                                            @foreach ($departments as $department)
                                                <option value="{{ $department->id }}">{{ $department->dep_name }}</option>
                                            @endforeach

                                        </select>
                                    </div>

                                    <h4>Employee</h4>
                                    <div class="form-group">
                                        <select name="emp_id" required class="custom-select form-control-border" id="users">

                                            <option value="">Select Employee</option>

                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label for="email">Note</label>
                                        <input type="text" name="note" class="form-control" id="exampleInputEmail1"
                                            placeholder="Enter email">
                                    </div>
                                </div>
                                <!-- /.card-body -->

                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">Received and Send</button>
                                </div>
                            </form>
                        </div>
                        <!-- /.card -->


                    </div>
                    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
                    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
                    <script>
                        $('#depId').on('change', function() {

                            var dep_id = $(this).val();

                            $.ajax({
                                url: '/users_api',
                                type: 'GET',
                                data: {
                                    dep_id: dep_id
                                },
                                success: function(data) {
                                    var users = $('#users');
                                    users.empty();

                                    if (data.length > 0) {
                                        $.each(data, function(key, value) {
                                            users.append($('<option>', {
                                                value: value.id,
                                                text: value.name
                                            }));
                                        });
                                    } else {
                                        users.append($('<option>', {
                                            value: '',
                                            text: 'No subcategories found'
                                        }));
                                    }
                                }
                            });
                        });
                    </script>


                @endsection

                @section('pageJs')
                    <!-- OPTIONAL SCRIPTS -->
                    <script src="{{ url('assets') }}/plugins/chart.js/Chart.min.js"></script>
                @endsection
