@extends('layout.app')
@section('content')
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h1></h1>
                    </div>
                    <div class="col-sm-6">
                        <ol class="breadcrumb float-sm-right">
                            <li class="breadcrumb-item"><a href="#">Home</a></li>
                            <li class="breadcrumb-item active">.</li>
                        </ol>
                    </div>
                </div>
            </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
            <div class="container-fluid">

                <!-- /.row -->
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-header">
                                <div id="alert"></div>
                                <h3 class="card-title">Document List</h3>

                                <div style="margin: 0 auto; width:600px;display: flex;">
                                    <div style="margin: 0 auto; width:250px;">
                                        <h4>Select Department</h4>
                                        <div class="form-group">
                                            <select name="departmentid" class="custom-select form-control-border search_doc"
                                                id="deptid">
                                                <option value="">Select All</option>
                                                @foreach ($departments as $department)
                                                    <option value="{{ $department->id }}"
                                                        {{ $department->id == $request->dept_id ? 'selected' : '' }}>
                                                        {{ $department->dep_name }}</option>
                                                @endforeach


                                            </select>
                                        </div>
                                    </div>

                                    <div style="margin: 0 auto; width:250px;">
                                        <h4>Select Status</h4>
                                        <div class="form-group">
                                            <select name="status_id" class="custom-select form-control-border search_doc"
                                                id="status_id">
                                                <option value="">Select All</option>
                                                @foreach ($status as $item)
                                                    <option value="{{ $item->id }}"
                                                        {{ $item->id == $request->status_id ? 'selected' : '' }}>
                                                        {{ $item->status }}</option>
                                                @endforeach


                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-tools">
                                    <div class="input-group input-group-sm" style="width: 150px;">
                                        <input type="text" name="table_search" class="form-control float-right"
                                            value="{{ $request->search_key }}" placeholder="Search" id="search_key">

                                        <div class="input-group-append">
                                            <button type="button" class="btn btn-default " id="search_doc_2">
                                                <i class="fas fa-search"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body table-responsive p-0">
                                <table class="table table-hover text-nowrap">
                                    <thead>
                                        <tr>
                                            <th>Sl</th>
                                            <th>Tracking No. </th>

                                            <th>Received From </th>
                                            <th>Doc Type </th>
                                            <th>Department</th>
                                            <th>Name</th>
                                            <th>Phone </th>
                                            <th>Received Note</th>
                                            <th>Status</th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($documents as $document)
                                            <tr>
                                                <td>{{ $loop->iteration }}</td>
                                                <td>{{ $document->tracking_id }}</td>
                                                <td>{{ $document->received_from }}</td>
                                                <td>{{ $document->doc_type }}</td>
                                                <td>{{ $document->dept_name }}</td>
                                                <td>{{ $document->name }}</td>
                                                <td>{{ $document->phone }}</td>

                                                <td>{{ $document->note }}</td>
                                                <td>
                                                    @if (auth()->user()->role_id ==5)
                                                        @foreach ($status as $item)
                                                            <span>{{ $item->id == $document->status_id ? $item->status : '' }}</span>
                                                        @endforeach
                                                    @else
                                                        <div class="form-group">

                                                            <select name="status" data-id="{{ $document->id }}"
                                                                class="custom-select form-control-border change_status"
                                                                id="exampleSelectBorder">

                                                                @foreach ($status as $item)
                                                                    <option value="{{ $item->id }}"
                                                                        <?php echo $item->id == $document->status_id ? ' selected="selected"' : ''; ?>>
                                                                        {{ $item->status }} </option>
                                                                @endforeach


                                                            </select>
                                                        </div>
                                                    @endif

                                                </td>




                                            </tr>
                                        @endforeach

                                    </tbody>
                                </table>
                            </div>
                            <!--.card-body-->
                        </div>
                        <!--/.card -->
                    </div>
                </div>

                <!-- /.row -->
            </div><!-- /.container-fluid -->
        </section>
        <!-- /.content -->
    </div>

    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
    <script>
        $('.change_status').on('change', function() {
            var status = $(this).val();
            var id = $(this).data('id');
            $.ajax({
                url: '/change_status',
                type: 'GET',
                data: {
                    id: id,
                    status: status
                },
                success: function(data) {
                    $('#alert').html('Updated');
                }
            });
        });
    </script>

    {{-- // dept search --}}
    <script>
        $('.search_doc').on('change', function() {
            var dept_id = $('#deptid').val();
            var status_id = $('#status_id').val();
            // var dept_id = $(this).val();  
            window.location.href = '/document?dept_id=' + dept_id + '&status_id=' + status_id;

        });
        //search_doc_2
        $('#search_doc_2').on('click', function() {
            var dept_id = $('#deptid').val();
            var status_id = $('#status_id').val();
            var search_key = $('#search_key').val();
            window.location.href = '/document?dept_id=' + dept_id + '&status_id=' + status_id + '&search_key=' +
                search_key;

        });
    </script>
@endsection

@section('pageJs')
    <!-- OPTIONAL SCRIPTS -->
    <script src="{{ url('assets') }}/plugins/chart.js/Chart.min.js"></script>
@endsection
