@extends('layout.app')
@section('content')

 <!-- Content Wrapper. Contains page content -->
 <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Form</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Role Edit</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">{{$role->role_name}}</h3>
              </div>
              <!-- /.card-header -->


              @if(count($errors)>0)
              <ul>
              @foreach($errors->all() as $error)
             <li>
              {{$error}} </li>
              @endforeach
          </ul>
              @endif
  
              @if(Session::has('success'))
  
              {{Session::get('success')}}
              
              @endif
              <!-- form start -->
              <form id="form" class="form" method="post" action="{{url('storePermissionPair')}}">
                @csrf
                <div class="card-body">
                
                  <input type="hidden" name="roleid" value="{{$role->id}}" >

                  <div class="col-sm-12 col-xs-12">
                    @if($modules->count() > 0)
                        <div class="row">
                            @foreach($modules as $module) 
                                <div class="  col-md-3 ">
                                  <div class="panel panel-primary card-view">
                                      <div class="panel-heading">
                                          <div class="pull-left">
                                            <strong >{{$module->module_name}}</strong>
                                            
                                          </div>
                                          <div class="clearfix"></div>
                                      </div>
                                      <div class="panel panel-default card-view custom-view-result-panel">
                                          <div class="panel-body">

                                              @if($module->joinmenu->count() > 0)
                                                  @foreach($module->joinmenu as $permission)
                                                      <div class="form-group">
                                                          <div class="checkbox ">    
                                                              <p for="{{'permission'.$permission->id}}"> <input name="menuid[]" value="{{$permission->id}}" type="checkbox"  {{ in_array($permission->id, $givenPermissions) ? 'checked' : '' }} > 
                                                                {{$permission->title}}</p>
                                                          </div>
                                                      </div>
                                                  @endforeach
                                              @endif
                                          </div>
                                      </div>
                                  </div>
                              </div>
                            @endforeach
                        </div>
                        @endif
                  </div>
                    
                            


                  {{-- @foreach ($modules as $module)
                  {{$module->module_name}}
                  @foreach ($module->joinmenu as $item)
                  
                  <div class="form-group">
                      <div class=" ">
                          <label for="{{'item'.$item->id}}">{{$item->name}} </label>
                      </div>
                  </div>
                  
               
                  @endforeach
              @endforeach --}}


                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

          
           

@endsection

@section('pageJs')
    <!-- OPTIONAL SCRIPTS -->
    <script src="{{ url('assets') }}/plugins/chart.js/Chart.min.js"></script>
@endsection
