@extends('layout.app')
@section('content')

 <!-- Content Wrapper. Contains page content -->
 <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Entry Form</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Change Password</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Change Password</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->

              @if(count($errors)>0)
              <ul>
              @foreach($errors->all() as $error)
             <li>
              {{$error}} </li>
              @endforeach
          </ul>
              @endif
  
              @if(Session::has('success'))
  
              {{Session::get('success')}}
              
              @endif

              @if(Session::has('error'))
  
            <div class="btn-danger">
              {{Session::get('error')}}
            </div>
              
              @endif

              <form id="form" class="form" method="post" action="{{url('changePasswordSubmit')}}">
                @csrf
                <div class="card-body">
             

                {{-- <div class="form-group">
                  <label for="id">Id :</label>
                  <input type="text" name="id" class="form-control" id="exampleInputEmail1" placeholder="Enter ID">
                </div> --}}

                  <div class="form-group">
                    <label for="type">Current Password:</label>
                    <input type="password" name="currentpassword" class="form-control" id="exampleInputEmail1" placeholder="Current Password">
                  </div>

                  <div class="form-group">
                    <label for="type">New Password:</label>
                    <input type="password" name="newpassword" class="form-control" id="exampleInputEmail1" placeholder="New Password">
                  </div>

                  <div class="form-group">
                    <label for="type">Confirm Password:</label>
                    <input type="password" name="confirmpassword" class="form-control" id="exampleInputEmail1" placeholder="Confirm Password">
                  </div>

                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Save</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            
  </div>

@endsection

@section('pageJs')
    <!-- OPTIONAL SCRIPTS -->
    <script src="{{ url('assets') }}/plugins/chart.js/Chart.min.js"></script>
@endsection
