@extends('layout.app')
@section('content')

 <!-- Content Wrapper. Contains page content -->
 <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Registration Form</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Registration Form</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Registration Form</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->

              @if(count($errors)>0)
              <ul>
              @foreach($errors->all() as $error)
             <li>
              {{$error}} </li>
              @endforeach
          </ul>
              @endif
  
              @if(Session::has('success'))
  
              {{Session::get('success')}}
              
              @endif

              <form id="form" class="form" method="post" action="{{url('users')}}">
                @csrf
                <div class="card-body">
             

                <div class="form-group">
                  <label for="username">User Name</label>
                  <input type="text" name="userName" class="form-control" id="un" placeholder="Enter User Name">
                </div>
                <div class="form-group">
                  <label for="phone">Phone</label>
                  <input type="text" name="phone" class="form-control" id="up" placeholder="Enter User Phone">
                </div>

                  <div class="form-group">
                    <label for="email">Email address</label>
                    <input type="email" name="email" class="form-control" id="exampleInputEmail1" placeholder="Enter email">
                  </div>

                  <h4>Select Department</h4>
                <div class="form-group">
                  <select name="departmentid" class="custom-select form-control-border" id="exampleSelectBorder">

                    @foreach($departments as $department)                  
                      <option value="{{ $department->id}}">{{ $department->dep_name}}</option>
                    @endforeach

                  </select>
                </div>

                <h4>Select Role</h4>
                <div class="form-group">
                  <select name="role_id" class="custom-select form-control-border" id="exampleSelectBorder">

                    @foreach($roles as $roles)                  
                      <option value="{{ $roles->id}}">{{ $roles->role_name}}</option>
                    @endforeach

                  </select>
                </div>
                  <div class="form-group">
                    <label for="password1">Password</label>
                    <input name="password" type="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
                  </div>
                  <div class="form-group">
                    <label for="password2">Confirm Password</label>
                    <input name="password_confirmation" type="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              </form>
            </div>
            <!-- /.card -->

            
  </div>

@endsection

@section('pageJs')
    <!-- OPTIONAL SCRIPTS -->
    <script src="{{ url('assets') }}/plugins/chart.js/Chart.min.js"></script>
@endsection
