<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\DashbordController;
use App\Http\Controllers\DepartmentController;
use App\Http\Controllers\DocumentController;
use App\Http\Controllers\MenuController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\RoleController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    
    return view('welcome');
});
Route::get('signin',[AuthController::class,'signIn']);
Route::get('signup',[AuthController::class,'signUp']);
Route::post('registration',[AuthController::class,'createUser']);
Route::post('login',[AuthController::class,'login']);


// Route::get('users/create',UserController::class);
// Route::post('users/store',UserController::class);
// Route::put('users/update/{id}',UserController::class);
// Route::get('users/edit/{id}',UserController::class);
// Route::get('users/show/{id}',UserController::class);
// Route::delete('users/destroy/{id}',UserController::class);

Route::get('forgotpasswordmail', [UserController::class,'forgotpasswordmail']);
Route::post('codeSendmail', [UserController::class,'codeSendmail']);
Route::get('forgotpasswordtoken', [UserController::class,'forgotpasswordtoken']);
Route::post('forgot_password_code', [UserController::class,'forgot_password_code']);
Route::get('forgotpasswordreset', [UserController::class,'forgotpasswordreset']);
Route::post('resetPassword', [UserController::class,'resetPassword']);



Route::group(['middleware' => 'auth'], function () {
    // User needs to be authenticated to enter here.
  

    Route::get('dashboard',[DashbordController::class,'openDashboard']);
    Route::get('department',[DashbordController::class,'openDepartment']);
    Route::get('logout',[UserController::class,'logout']);
    Route::get('changePassword',[UserController::class,'changePassword']);
    Route::resource('users',UserController::class);
    Route::post('changePasswordSubmit',[UserController::class,'changePasswordSubmit']);

    //usersApi
    Route::get('users_api',[UserController::class,'usersApi']);
    Route::resource('departments',DepartmentController::class);
    Route::resource('document',DocumentController::class);
    Route::get('docType',[DocumentController::class,'docType']);
    Route::delete('typeDelete/{id}',[DocumentController::class,'typeDelete']);
    Route::get('document_t',[DocumentController::class,'dList']);
    Route::get('change_status', [DocumentController::class,'change_status']);
    Route::post('document_type_store',[DocumentController::class,'storeDocType']);
    Route::get('dTypeList',[DocumentController::class,'dTypeList']);
    Route::resource('role',RoleController::class);
    Route::get('permissionModuleType',[RoleController::class,'permissionModuleType']);
    Route::post('permission_module_store',[RoleController::class,'storePermissionModuleType']);
    Route::get('permissionType',[RoleController::class,'permissionType']);
    Route::post('storePermissionType',[RoleController::class,'storePermissionType']);
    Route::post('storePermissionPair',[RoleController::class,'storePermissionPair']);
    Route::resource('menu',MenuController::class);
    Route::get('showModule', [MenuController::class,'showModule']);
    Route::get('show_module', [RoleController::class,'change_status']);

});


